org.keycloak.dom.saml.v2.protocol

## Class IDPEntryType

- java.lang.Object
- - org.keycloak.dom.saml.v2.protocol.IDPEntryType

-     public class IDPEntryType
      extends Object

  Java class for IDPEntryType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="IDPEntryType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="ProviderID" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
             <attribute name="Name" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="Loc" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `loc`
    `protected String` | `name`
    `protected URI` | `providerID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IDPEntryType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLoc()` Gets the value of the loc property.
    `String` | `getName()` Gets the value of the name property.
    `URI` | `getProviderID()` Gets the value of the providerID property.
    `void` | `setLoc(String value)` Sets the value of the loc property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setProviderID(URI value)` Sets the value of the providerID property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### providerID

          protected URI providerID

    - #### name

          protected String name

    - #### loc

          protected String loc

  - ### Constructor Detail

    - #### IDPEntryType

          public IDPEntryType()

  - ### Method Detail

    - #### getProviderID

          public URI getProviderID()

      Gets the value of the providerID property.
      Returns:
        possible object is `String`

    - #### setProviderID

          public void setProviderID(URI value)

      Sets the value of the providerID property.
      Parameters:
        `value` - allowed object is `String`

    - #### getName

          public String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLoc

          public String getLoc()

      Gets the value of the loc property.
      Returns:
        possible object is `String`

    - #### setLoc

          public void setLoc(String value)

      Sets the value of the loc property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2020 JBoss by Red Hat. All rights reserved.